Subject: Re: bug#40518: guix pull: Dependency guix-packages-base fails

From: [email-masked]
Date: Thu, 09 Apr 2020 20:22:22 +0900

> I’m pretty sure the issue is caused by ‘--debug=3’.  Could you try
> simply:
>
>   guix build /gnu/store/waisnnl9nbmlbpfwbn50pif79fsdknf9-guix-packages-base.drv

Oh! I had no idea the --debug flag could affect build success. The original issue I
encountered was with a plain `guix pull', but in an attempt to provide the most useful
diagnostics, I tried including --debug=3. In any event, it just so happens that I
saved the output from the original pull command, which I am attaching in case it
happens to prove helpful.

As it turns out, I tried another pull just a bit earlier, which ended up succeeding;
however, I went ahead and tried running the build you suggest like this:

    $ guix pull -S 1  # broken build happened with generation 1
    $ guix build --check /gnu/store/waisnnl9nbmlbpfwbn50pif79fsdknf9-guix-packages-base.drv
    The following derivation will be built:
       /gnu/store/waisnnl9nbmlbpfwbn50pif79fsdknf9-guix-packages-base.drv
    building /gnu/store/waisnnl9nbmlbpfwbn50pif79fsdknf9-guix-packages-base.drv...
    [321/554] compiling...   15.9% of 277 filesbuilder for `/gnu/store/waisnnl9nbmlbpfwbn50pif79fsdknf9-guix-packages-base.drv' failed due to signal 9 (Killed)
    build of /gnu/store/waisnnl9nbmlbpfwbn50pif79fsdknf9-guix-packages-base.drv failed
    View build log at '/var/log/guix/drvs/wa/isnnl9nbmlbpfwbn50pif79fsdknf9-guix-packages-base.drv.bz2'.
    guix build: error: build of `/gnu/store/waisnnl9nbmlbpfwbn50pif79fsdknf9-guix-packages-base.drv' failed

What could be causing the build to receive SIGKILL?